;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; BooNE site-start goodies
;;
;; Chris Green <greenc@fnal.gov>
;; UCR / BooNE
;; 2003/01/17
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; Load any files in the "old" site-start.d directory
(let ((files (directory-files "/usr/lib/xemacs/xemacs-packages/lisp/site-start.d" t "\.el$")))
  (mapc 'load-file files))

;; If we have access to the mwheel functionality, start it.
(if (fboundp 'mwheel-install)
    (mwheel-install))

;; Deactivate initial message in scratch buffer
(setq initial-scratch-message nil)

;; Load the AUC-TeX package
;; Can't bank on having the optional NOERROR functionality of require
;; (not built in), so must use this slightly convoluted construction
;; on load instead
(unless (featurep 'tex-site) (load "tex-site" t))

;; Activate the RefTeX package
(add-hook 'LaTeX-mode-hook 'turn-on-reftex)

(if (exec-installed-p "gsl-config")
    (setq Info-directory-list
          (cons 
           (concat (substring 
                    (exec-to-string "gsl-config --prefix") 0 -1 ) "/info")
           Info-directory-list)
          )
  )

;; Set some custom variables
(custom-set-variables
 '(lpr-command "flpr")
 '(ps-lpr-command "flpr")
 '(delete-key-deletes-forward t)
 '(lpr-printer-switch "-P")
 '(ps-printer-name-option "-P")
 '(ps-printer-name nil)
 '(display-warning-suppressed-classes (quote (warning)))
 '(ps-print-color-p nil)
 '(printer-name nil)
 '(font-lock-mode t nil (font-lock))
)
(custom-set-faces)
